Skip to main content
`Ctrl`+`K`

# skbio.table.Table.remove_empty

Table.remove_empty(axis='whole', inplace=True)

  Remove empty samples or observations from the table

  Parameters:
    axis{‘whole’, ‘sample’, ‘observation’}, optional

      The axis on which to operate.

    inplace bool, optional

      If `True` vectors are removed in `self`; if `False` the vectors are removed in a new table is returned.

  Returns:
    Table

      A table object with the zero’d rows, or columns removed as specified by the axis parameter.

  Raises:
    UnknownAxisError

      If the axis is not recognized.